#ifndef _DLWRAP_H_

#if __NetBSD_Version__ < 105000000

#define UNDERS "_"
void *wrap_dlopen(char *, int);
#define dlopen wrap_dlopen

/*
typedef struct {
	const char *dli_fname;
	char *_padding[3]; 
} Dl_info;
int dladdr(const void *, Dl_info *);
*/

#else

#define UNDERS ""

#endif

#endif	/* _DLWRAP_H_ */
